package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppOrgUser;
import com.yiqi.app.domain.AppUser;

/**
 * 组织客户关系管理Service接口
 *
 * @author ruoyi
 * @date 2023-10-25
 */
public interface IAppOrgUserService extends IService<AppOrgUser> {
    /**
     * 查询组织客户关系管理
     *
     * @param id 组织客户关系管理主键
     * @return 组织客户关系管理
     */
    public AppOrgUser selectAppOrgUserById(Long id);

    /**
     * 查询组织客户关系管理列表
     *
     * @param appOrgUser 组织客户关系管理
     * @return 组织客户关系管理集合
     */
    public List<AppOrgUser> selectAppOrgUserList(AppOrgUser appOrgUser);

    /**
     * 新增组织客户关系管理
     *
     * @param appOrgUser 组织客户关系管理
     * @return 结果
     */
    public int insertAppOrgUser(AppOrgUser appOrgUser);

    /**
     * 修改组织客户关系管理
     *
     * @param appOrgUser 组织客户关系管理
     * @return 结果
     */
    public int updateAppOrgUser(AppOrgUser appOrgUser);

    /**
     * 批量删除组织客户关系管理
     *
     * @param ids 需要删除的组织客户关系管理主键集合
     * @return 结果
     */
    public int deleteAppOrgUserByIds(Long[] ids);

    /**
     * 删除组织客户关系管理信息
     *
     * @param id 组织客户关系管理主键
     * @return 结果
     */
    public int deleteAppOrgUserById(Long id);

    public void insertAppOrgUserByAppUser(AppUser user);

}
